Web lists-archives.com

Re: Please do not drop Python 2 modules




On 04/24/2018 05:11 PM, Jeremy Stanley wrote:
> The reason it was brought up
> earlier in this thread is because Thomas has recently dropped Python
> 2.7 builds for it and switched to only building Python 3.x packages.

I have *not* removed Python 2 support. Only services are switched to
Python 3 by default. It was a hard switch as they couldn't reasonably be
dual-python (too much packaging work for no real benefits). For example,
there's still Python 2 modules for clients.

I would like to start dropping Python 2 as early as possible though. The
only question that remains is: how many people still have Python 2 only
code using clients.

Cheers,

Thomas Goirand (zigo)